<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" encoding="utf-8"/>
	
	<!-- Szablon dla korzenia, uruchamiany jako pierwszy -->
	<xsl:template match="/">
		<html>
			<head>
				<title>Cenniki </title>
				<style type="text/css">
					body { background-color: #DDDDDD}
					
					table {
						border-collapse: collapse;
						background-color: #FFFFDD;
						border: 4px outset blue;
					}
					
					td, th {
						border: 1px solid black;
						padding: 3px;
					}
					
					h2 {
						margin: 2em 0 1em 0;
					}
				</style>
			</head>
			<body>
				<xsl:apply-templates />
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="cennik">
		<h2>Cennik z dnia <xsl:apply-templates select="data"/></h2>
		
		<table>
			<tr>
				<th>L.p.</th>
				<th>Nazwa</th>
				<th>Cena netto</th>
				<th>Cena brutto</th>
				<th>Zmiana</th>
			</tr>
			<xsl:apply-templates select="towar">
				<xsl:sort select="nazwa"/>
			</xsl:apply-templates>
		</table>
	</xsl:template>
	
	<xsl:template match="towar">
		<xsl:variable name="poprzednia-cena"
			select="(../preceding-sibling::cennik/towar[ @id-towaru = current()/@id-towaru ]/cena)[last()]"/>
		<xsl:variable name="kolor">
			<xsl:choose>
				<xsl:when test="cena > $poprzednia-cena">green</xsl:when>
				<xsl:when test="cena &lt; $poprzednia-cena">red</xsl:when>
				<xsl:otherwise>black</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

<!-- To szuka towaru zawsze w poprzednim ("wczorajszym") cenniku:
			select="../preceding-sibling::cennik[1]/towar[ @id-towaru = current()/@id-towaru ]/cena"/> -->
		<tr style="color: {$kolor}">
			<td><xsl:value-of select="position()"/></td>
			<td><xsl:apply-templates select="nazwa"/></td>
			<td><xsl:value-of select="format-number(cena, '0.00')"/></td>
			<td><xsl:value-of  select="format-number(cena * (1 + vat div 100), '0.00')"/></td>
			<td>
				<xsl:if test="$poprzednia-cena">
					<xsl:value-of select="(cena - $poprzednia-cena) div $poprzednia-cena * 100"/>
				</xsl:if>		
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
