<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:w="http://www.redpill.com.pl/waluty">
	<xsl:output method="html" encoding="utf-8"/>

	<xsl:template match="/">
		<html>
			<head>
			</head>
			<body>
				<xsl:apply-templates />
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="w:zestaw">
		<h1>Zestawienie kursów walut</h1>
		<xsl:apply-templates select="w:tabele/w:tabela"/>
	</xsl:template>
	
	<xsl:template match="w:tabela">
		<h2>Tabela nr <xsl:value-of select="@nr"/></h2>
		<p>Z dnia <xsl:apply-templates select="w:opublikowana"/>, obowiązuje od <xsl:apply-templates select="w:obowiazuje"/>.</p>
		<table>
			<tr>
				<th>Kod</th>
				<th>Nazwa</th>
				<th>Kraj</th>
				<th>Liczba jednostek</th>
				<th>Kurs kupna</th>
				<th>Kurs sprzedaży</th>
			</tr>
			<xsl:variable name="tabela" select="current()"/>
			<xsl:for-each select="//w:waluta">
				<xsl:call-template name="wiersz">
					<xsl:with-param name="tabela" select="$tabela"/>
				</xsl:call-template>
			</xsl:for-each>			
		</table>
	</xsl:template>
	
	<xsl:template name="wiersz">
		<xsl:param name="tabela"/>
		
		<xsl:variable name="znaleziony"
			select="($tabela/w:kurs[w:kod = current()/w:kod]
				| $tabela/preceding-sibling::w:tabela/w:kurs[w:kod = current()/w:kod])
						[last()]
			"/>
		
		<xsl:variable name="poprzedni"
			select="($znaleziony/../preceding-sibling::w:tabela/w:kurs[w:kod = current()/w:kod])[last()]"/>
		<xsl:variable name="kolor">
			<xsl:choose>
				<xsl:when test="$poprzedni/w:kurs-kupna &lt; $znaleziony/w:kurs-kupna">green</xsl:when>
				<xsl:when test="$poprzedni/w:kurs-kupna &gt; $znaleziony/w:kurs-kupna">red</xsl:when>
				<xsl:otherwise>black</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<tr style="color: {$kolor}">
			<td><xsl:apply-templates select="w:kod"/></td>
			<td><xsl:apply-templates select="w:nazwa"/></td>
			<td><xsl:apply-templates select="w:kraj"/></td>
			<td><xsl:apply-templates select="$znaleziony/w:jednostek"/></td>
			<td><xsl:apply-templates select="$znaleziony/w:kurs-kupna"/></td>
			<td><xsl:apply-templates select="$znaleziony/w:kurs-sprzedazy"/></td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>