<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="utf-8" />
	
	<xsl:decimal-format name="format-pl"
		decimal-separator=","
		grouping-separator=" "/>

	<xsl:template match="/">
		<html>
			<head>
				<title>Sklep</title>
				<xsl:call-template name="wstaw-css"/>
			</head>
			<body>
				<xsl:apply-templates />
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="kategoria">
		<div class="kategoria" id="{@id-kategorii}">
			<xsl:apply-templates/>
			<p>
				Towary z tej kategorii:
				<!-- w wersji 2.0 mozna prosciej:
				<xsl:value-of select="/sklep/towar [@id-kategorii = current() / @id-kategorii] / nazwa" separator=", "/>
				-->
				<xsl:for-each select="/sklep/towar [@id-kategorii = current() / @id-kategorii]">
					<a href="#{@id-towaru}">
						<xsl:value-of select="nazwa"/>
					</a>
					<xsl:if test="position() != last()">
						<xsl:text>, </xsl:text>
					</xsl:if>
<!--					<xsl:choose>
						<xsl:when test="position() != last()">, </xsl:when>
						<xsl:otherwise>.</xsl:otherwise>
					</xsl:choose>
-->					
				</xsl:for-each>
				<xsl:text>.</xsl:text>
			</p>
		</div>
	</xsl:template>
	
	<xsl:template match="towar">
		<div class="towar" id="{@id-towaru}">
			<xsl:apply-templates select="nazwa"/>
			<p>Kategoria: 
				<a href="#{@id-kategorii}">
					<xsl:value-of select="/sklep/kategoria [@id-kategorii = current() / @id-kategorii] / nazwa "/>
				</a>
			</p>
			<p>Cena netto: <xsl:value-of select="format-number(cena, '0,00', 'format-pl')"/></p>
			<p>Stawka VAT: <xsl:apply-templates select="vat"/>%</p>
			<p>Cena brutto: <xsl:value-of select="format-number(cena + cena * vat div 100, '0,00', 'format-pl')"/></p>
			<xsl:apply-templates select="opis"/>
		</div>
	</xsl:template>
	
<!--	<xsl:template match="cena">
		<p>Cena netto: <xsl:apply-templates /></p>
	</xsl:template>
	
	<xsl:template match="vat">
		<p>Stawka VAT: <xsl:apply-templates /></p>
	</xsl:template>
-->	
	<xsl:template match="nazwa">
		<h2>
			<xsl:apply-templates />
		</h2>
	</xsl:template>
	
	<xsl:template match="opis">
		<p>
			<xsl:apply-templates />
		</p>
	</xsl:template>
	
	<xsl:template match="em">
		<strong>
			<xsl:apply-templates />
		</strong>
	</xsl:template>
	
	<xsl:template match="term">
		<dfn>
			<xsl:apply-templates />
		</dfn>
	</xsl:template>
	
	<xsl:template match="rem">
		<span class="rem">
			<xsl:apply-templates />
		</span>
	</xsl:template>
	
	<xsl:template match="br">
		<br/>
	</xsl:template>
	
	<xsl:template match="link">
		<a href="{@href}">
			<xsl:apply-templates />
		</a>
	</xsl:template>

	<xsl:template name="wstaw-css">
<!--<link rel="stylesheet"	type="text/css" href="sklep.css"/>-->
	
		<style type="text/css">
			.towar, .kategoria {
				border-style: solid;
				width: 500px;
				margin: 20px;
				padding: 1em;
			}
			
			.kategoria {
				background-color: #FFFFDD;
			}
			
			.towar {
				background-color: #DDFFDD;
			}
		</style>
	</xsl:template>

</xsl:stylesheet>
